/*
    visodbc.h

    Copyright (c) 1997, by picoSoft
    ALL RIGHTS RESERVED.

    Revision History:
    -----------------
*/ 

# ifndef visodbc_h
# define visodbc_h "$Id: visodbc.h 5.0 1999/10/08 10:17:43 picoSoft Exp $"
# include "filesys.h"  
# include "visn4.h"

extern int acrm_init P_((int, int *));
extern   Void acrm_exit P_((void));
extern   int acrm_start P_((IFilePtr, char *, int, int, int));
extern IFilePtr acrm_open P_((char *, int, char *));
extern   int acrm_close P_((IFilePtr));
extern unsigned acrm_read P_((IFilePtr, char *, int));
extern unsigned acrm_next P_((IFilePtr, char *));
extern unsigned acrm_previous P_((IFilePtr, char *));
extern   int acrm_write P_((IFilePtr, char *, unsigned));
extern   int acrm_rewrite P_((IFilePtr, char *, unsigned));
extern   int acrm_delete P_((IFilePtr, char *));
extern   int acrm_start P_((IFilePtr, char *, int, int, int));
extern   int acrm_info P_((IFilePtr, int, char *));
extern   int acrm_unlock P_((IFilePtr));
extern SFilePtr   acrm_s_open P_((char *, int, unsigned, int, unsigned,
              int, char *, int));
extern   int acrm_begin (void);
extern   int acrm_commit (int bo);
extern   int acrm_rollback (int bo);
extern   int   acrm_s_close P_((SFilePtr, int));
extern   int   acrm_s_read P_((SFilePtr, char *));
extern   int   acrm_s_write P_((SFilePtr, char *, unsigned, int));
extern   int acrm_r_init P_(());
extern   Void acrm_r_exit P_(());
extern   RFilePtr acrm_r_open P_((char *, int, unsigned, unsigned, long));
extern   int acrm_r_close P_((RFilePtr));
extern   unsigned acrm_r_next P_((RFilePtr, char *));
extern   unsigned acrm_r_previous P_((RFilePtr, char *));
extern   int acrm_r_write P_((RFilePtr, char *, unsigned, long));
extern   int acrm_r_rewrite P_((RFilePtr, char *, unsigned, long));
extern   int acrm_r_delete P_((RFilePtr, long));
extern   int acrm_r_start P_((RFilePtr, long, int));
extern   int acrm_r_unlock P_((RFilePtr));
# endif
